@use '../../../global/styles/styles-variables' as *;

:host {
  .digi-typography-preamble {
    font-family: var(--digi--global--typography--font-family--default);
    font-size: var(--digi--typography--preamble--font-size--mobile);
    font-weight: var(--digi--typography--preamble--font-weight--desktop);
    line-height: var(--digi--typography--preamble--line-height--mobile);
    color: var(--digi--color--text--primary);
    max-width: var(--digi--paragraph-width--medium);

    @media (min-width: $digi--breakpoint--large) {
      font-size: var(--digi--typography--preamble--font-size--desktop);
      line-height: var(--digi--typography--preamble--line-height--desktop);
    }
  }
}
